RagTime5StructManager::FieldParser Struct Reference

virtual class use to parse the field data More...

`#include <RagTime5StructManager.hxx>`

Inheritance diagram for RagTime5StructManager::FieldParser:

## Public Member Functions

| FieldParser (std::string const &zoneName)
| constructor
virtual | ~FieldParser ()
| destructor
virtual std::string | getZoneName () const
| return the debug name corresponding to a zone
virtual std::string | getZoneName (int n) const
| return the debug name corresponding to a field
virtual bool | parseHeaderField (Field &field, RagTime5Zone &, int, libmwaw::DebugStream &f)
| parse a header field
virtual bool | parseField (Field &field, RagTime5Zone &, int, libmwaw::DebugStream &f)
| parse a field

## Public Attributes

bool | m_regroupFields
| a flag use to decide if we output one debug message by field or not

## Protected Attributes

std::string | m_name
| the field name

## Private Member Functions

| FieldParser (FieldParser const &orig)=delete
FieldParser & | operator= (FieldParser const &orig)=delete

## Detailed Description

virtual class use to parse the field data

## Constructor & Destructor Documentation

## FieldParser() [1/2]

RagTime5StructManager::FieldParser::FieldParser | ( | std::string const & | zoneName | ) |

inline explicit

constructor

Referenced by RagTime5StyleManagerInternal::ColorFieldParser::ColorFieldParser(), RagTime5DocumentInternal::DocInfoFieldParser::DocInfoFieldParser(), FieldParser(), RagTime5FormulaInternal::FunctionNameParser::FunctionNameParser(), RagTime5StructManager::GObjPropFieldParser::GObjPropFieldParser(), RagTime5StyleManagerInternal::GraphicFieldParser::GraphicFieldParser(), operator=(), and RagTime5StyleManagerInternal::TextFieldParser::TextFieldParser().

## ~FieldParser()

RagTime5StructManager::FieldParser::~FieldParser | ( |  | ) |

virtual

destructor

## FieldParser() [2/2]

RagTime5StructManager::FieldParser::FieldParser | ( | FieldParser const & | orig | ) |

private delete

## Member Function Documentation

## getZoneName() [1/2]

virtual std::string RagTime5StructManager::FieldParser::getZoneName | ( |  | ) | const

inline virtual

return the debug name corresponding to a zone

Referenced by RagTime5Document::readStructData(), and RagTime5Document::readStructZone().

## getZoneName() [2/2]

virtual std::string RagTime5StructManager::FieldParser::getZoneName | ( | int | n | ) | const

inline virtual

return the debug name corresponding to a field

Reimplemented in RagTime5StyleManagerInternal::ColorFieldParser, RagTime5StyleManagerInternal::GraphicFieldParser, and RagTime5StyleManagerInternal::TextFieldParser.

## operator=()

FieldParser & RagTime5StructManager::FieldParser::operator= | ( | FieldParser const & | orig | ) |

private delete

## parseField()

virtual bool RagTime5StructManager::FieldParser::parseField | ( | Field & | field,
|  | RagTime5Zone & | ,
|  | int | ,
|  | libmwaw::DebugStream & | f )

inline virtual

parse a field

Reimplemented in RagTime5DocumentInternal::DocInfoFieldParser, RagTime5FormulaInternal::FunctionNameParser, RagTime5StructManager::GObjPropFieldParser, RagTime5StyleManagerInternal::ColorFieldParser, RagTime5StyleManagerInternal::GraphicFieldParser, and RagTime5StyleManagerInternal::TextFieldParser.

Referenced by RagTime5Document::readStructData().

## parseHeaderField()

virtual bool RagTime5StructManager::FieldParser::parseHeaderField | ( | Field & | field,
|  | RagTime5Zone & | ,
|  | int | ,
|  | libmwaw::DebugStream & | f )

inline virtual

parse a header field

Reimplemented in RagTime5StyleManagerInternal::GraphicFieldParser, and RagTime5StyleManagerInternal::TextFieldParser.

Referenced by RagTime5Document::readStructData().

## Member Data Documentation

## m_name

std::string RagTime5StructManager::FieldParser::m_name

protected

the field name

Referenced by FieldParser(), getZoneName(), and getZoneName().

## m_regroupFields

bool RagTime5StructManager::FieldParser::m_regroupFields

a flag use to decide if we output one debug message by field or not

Referenced by RagTime5StyleManagerInternal::ColorFieldParser::ColorFieldParser(), FieldParser(), RagTime5StyleManagerInternal::GraphicFieldParser::GraphicFieldParser(), and RagTime5Document::readStructData().

The documentation for this struct was generated from the following files:

- RagTime5StructManager.hxx
- RagTime5StructManager.cxx